org.codehaus.plexus.personality.plexus.lifecycle.phase

## Class InitializePhase

- java.lang.Object
- - org.codehaus.plexus.lifecycle.phase.AbstractPhase
  - - org.codehaus.plexus.personality.plexus.lifecycle.phase.InitializePhase

All Implemented Interfaces:
  Phase

    public class InitializePhase
    extends AbstractPhase

### Constructor Summary

Constructors
Constructor and Description
`InitializePhase()`

### Method Summary

Methods
`void` `execute(java.lang.Object object, ComponentManager manager, org.codehaus.plexus.classworlds.realm.ClassRealm lookupRealm)` Execute the phase.

### Methods inherited from class org.codehaus.plexus.lifecycle.phase.AbstractPhase

`execute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InitializePhase

    public InitializePhase()

### Method Detail

#### execute

    public void execute(java.lang.Object object,
               ComponentManager manager,
               org.codehaus.plexus.classworlds.realm.ClassRealm lookupRealm)
                 throws PhaseExecutionException

Description copied from class: `AbstractPhase`
Execute the phase.

Specified by:
  `execute` in interface `Phase`
Specified by:
  `execute` in class `AbstractPhase`
Throws:
  `PhaseExecutionException`